OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_CoordinatedUniversalTimeOffset Class Reference

`#include <StepBasic_CoordinatedUniversalTimeOffset.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_CoordinatedUniversalTimeOffset ()
| Returns a CoordinatedUniversalTimeOffset .
virtual Standard_EXPORT void | Init (const Standard_Integer aHourOffset, const Standard_Boolean hasAminuteOffset, const Standard_Integer aMinuteOffset, const StepBasic_AheadOrBehind aSense)
Standard_EXPORT void | SetHourOffset (const Standard_Integer aHourOffset)
Standard_EXPORT Standard_Integer | HourOffset () const
Standard_EXPORT void | SetMinuteOffset (const Standard_Integer aMinuteOffset)
Standard_EXPORT void | UnSetMinuteOffset ()
Standard_EXPORT Standard_Integer | MinuteOffset () const
Standard_EXPORT Standard_Boolean | HasMinuteOffset () const
Standard_EXPORT void | SetSense (const StepBasic_AheadOrBehind aSense)
Standard_EXPORT StepBasic_AheadOrBehind | Sense () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | hourOffset
Standard_Integer | minuteOffset
StepBasic_AheadOrBehind | sense
Standard_Boolean | hasMinuteOffset

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_CoordinatedUniversalTimeOffset::StepBasic_CoordinatedUniversalTimeOffset | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_CoordinatedUniversalTimeOffset::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_CoordinatedUniversalTimeOffset::HasMinuteOffset | ( |  | ) | const

Standard_EXPORT Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::HourOffset | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_CoordinatedUniversalTimeOffset::Init | ( | const Standard_Integer | aHourOffset,
|  | const Standard_Boolean | hasAminuteOffset,
|  | const Standard_Integer | aMinuteOffset,
|  | const StepBasic_AheadOrBehind | aSense
| ) | `[virtual]`

Standard_EXPORT Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::MinuteOffset | ( |  | ) | const

Standard_EXPORT StepBasic_AheadOrBehind StepBasic_CoordinatedUniversalTimeOffset::Sense | ( |  | ) | const

Standard_EXPORT void StepBasic_CoordinatedUniversalTimeOffset::SetHourOffset | ( | const Standard_Integer | aHourOffset | ) |

Standard_EXPORT void StepBasic_CoordinatedUniversalTimeOffset::SetMinuteOffset | ( | const Standard_Integer | aMinuteOffset | ) |

Standard_EXPORT void StepBasic_CoordinatedUniversalTimeOffset::SetSense | ( | const StepBasic_AheadOrBehind | aSense | ) |

Standard_EXPORT void StepBasic_CoordinatedUniversalTimeOffset::UnSetMinuteOffset | ( |  | ) |

## Field Documentation

Standard_Boolean StepBasic_CoordinatedUniversalTimeOffset::hasMinuteOffset`[private]`

Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::hourOffset`[private]`

Standard_Integer StepBasic_CoordinatedUniversalTimeOffset::minuteOffset`[private]`

StepBasic_AheadOrBehind StepBasic_CoordinatedUniversalTimeOffset::sense`[private]`

The documentation for this class was generated from the following file:

- StepBasic_CoordinatedUniversalTimeOffset.hxx